/*
 * RegistroServlet.java
 *
 * Created on 18 de julio de 2005, 06:54 PM
 */

package registrojdbc;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author alfredow
 * @version
 */
public class RegistroServlet extends HttpServlet {
    
    private HttpServletRequest requestActual;
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String showPath = "/"; 
        String showPage = showPath + "PantallaRegistroUsuario.jsp";
        
        String action = request.getParameter("Button");
		
	requestActual = request;
	HttpSession sessionActual = request.getSession(true);

	InterfaceUsuarioBean interfaceUsuario = (InterfaceUsuarioBean) sessionActual.getAttribute("interfaceUsuario");

	if (action != null && interfaceUsuario != null) {
              Datos datos = interfaceUsuario.getDatos();
              leerElementos(datos);			
              interfaceUsuario.enviarEvento(action);
	}
	gotoPage(showPage,request, response);	
    }
    
    private void gotoPage(String address,HttpServletRequest request,HttpServletResponse response)
	  throws ServletException, IOException {
	  ServletContext sc = getServletContext();
	  RequestDispatcher dispatcher = sc.getRequestDispatcher(address);
	  dispatcher.forward(request, response);
    }
    private void leerElementos(Datos datos) {
        String name,str;
        for (int i = 0; i < datos.numeroAtributos(); i++) {
            name = (String) datos.leerNombre(i);
            str = requestActual.getParameter(name);
            datos.escribirValor(i,str);
        }
    }
    private String leerTexto(String name) {
	return requestActual.getParameter(name);
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
